#include "defines.h"
#include "ascsi.h"
#include "FAT32.h"

int _Delete32(FILE32 *fp)
// ファイル/ボリューム名削除(FAT32)
{
int ret;
	// 読み出しのみ／隠し／システム属性のファイルは消さない
	// あらかじめ別途各属性を外しておく必要がある。
	if (fp->atr&(FA_RONLY|FA_HIDE|FA_SYS)) return(200);
	
	ret=_DelDirEntry32(fp);
	if (!ret) {
		if (!(fp->atr&FA_VOL)) { // ボリューム名でない
			// FATリンクを消す
			ret=_DelFatLink32(fp);
		} // ボリューム名はディレクトリエントリしかないのでこれで終わり
	}
	return(ret);
}
